<?php


    /**
     * check then woocommerce plugin is active or not
     * @return bool
     */
    function Pluginis_active() {
        $active_plugins = get_option( 'active_plugins', array() );
        if ( is_multisite() ) {
            $active_sitewide_plugins = get_site_option( 'active_sitewide_plugins', array() );
            $active_sitewide_plugins = array_keys( $active_sitewide_plugins );
            $active_plugins = array_merge( $active_plugins, $active_sitewide_plugins );
        }
        return in_array( 'woocommerce/woocommerce.php', $active_plugins ); 
    }
    
    /**
     * woocommerce authoize
     * @return string 
     */
    function woocommerceAuth(){
        $store_url = GOZENGROWTH_USER_HOST_URL;
        $endpoint = 'wc-auth/v1/authorize';
        $params = array(
        'app_name' => 'GoZen Growth',
        'scope' => 'read_write',
        'user_id' => GOZENGROWTH_CURRENT_USER_ID,
        'return_url' => GOZENGROWTH_USER_HOST_URL.'wp-admin/admin.php?page=gozen&tab=general',  
        'callback_url' => GOZENGROWTH_USER_HOST_URL.'wp-json/gozen-growth/v1/keySecret'  
        );
        $url = $store_url.$endpoint.'?'.http_build_query($params);
        return $url;
    }


?>