(function($) {
    $(document).ready(function() {

        /**
         * declare the variable.
         * @var string // surl - 
         */
        let surl = gozen_test_url.data.server_url+"/api/v1/public/woocommerce/sync-contact";
        let api_key = gozen_test_url.data.api_key;
        let shopuuid = gozen_test_url.data.shop_uuid;
        let log_status = gozen_test_url.data.status;
        let sync_user = gozen_test_url.data.sync_user;

        $("#error").hide();

        //get user info form endpoint url
        function get_user_info(){
            $.ajax({
                url: `${gozen_test_url.data['server_url']}/api/v1/public/user-info`,
                type: "GET",
                headers:{"content-type":"application/json","api-key":api_key},
                success: function (res) {
                    console.log(res);
                    $("#email").text(res.email_address);
                    $("#plan").text(res.plan);
                    $("#count").text(res.contacts_count);
                },
                error: function (error) {
    
                    const message = error && error.responseJSON && error.responseJSON
                    console.log(message);
    
                    }
            });
            $('#sync_user').text(`${sync_user}`);

        }

        // if user click the logout it's triggr the logout endpoiint url.
        $('#logout_btn').click(function(){
            $.ajax({
                url:window.location.protocol+"//"+window.location.hostname+"/wp-json/gozen-growth/v1/dirto_Logout",
                type:"POST",
                headers:{
                    "content-type":"application/json"                   
                },
                success:function(res){
                
                    location.href = window.location.protocol+"//"+window.location.hostname+"/wp-admin/admin.php?page=gozen";
                },
                error:function(err){

                }
            });
        });

        //load icon
        var time;
        function spinload(){
            var deg = 0;
            time = setInterval(function(){
                let val = `rotate(${deg}deg)`;
                $("#spin_loader").css("transform",val);
                deg += 3.6;
            },50)
        }

         /**
          * If user click the syn_my_user btn, it's triggr the post request.if reponse is success
          * it's call the endpoint and storo the records.
          */
        $("#sync_btn").click(function(){
            $("#sync_btn").hide();
            $("#loader_icon").css("display","block");
            //$("#loader_icon").css("top","0%");
            $("#loader_icon").css("left","0%");
            spinload();
            
            //gozen endpoint
            $.ajax({
                url:surl,
                type:"POST",
                headers:{
                    "content-type":"application/json",
                    "api-key":api_key,
                   
                },
                data:JSON.stringify({
                    "shop_uuid":shopuuid
                }),
                success:function(res){
                    console.log(res);

                    //syncUser endpoint for update the data -check(gozen_endpoint).
                    $.ajax({
                        url:window.location.protocol+"//"+window.location.hostname+"/wp-json/gozen-growth/v1/syncUser",
                        type:"POST",
                        headers:{
                            "content-type":"application/json"
                        },
                        data:JSON.stringify({
                            "records": res.total_records?res.total_records:0
                        }),
                        success:function(res){
                            console.log("res",res);
                        },
                        error:function(err){
                            console.log("err",err);
                        }
                    })
                    clearTimeout(time);
                    if(res.total_records){
                        $('#sync_user').text(`${res.total_records}`);
                    }
                    
                    $("#spin_loader").hide();
                    $("#loader_icon").css("display","inline-block");
                    $("#loader_content").text('Completed').css("color","green").css("font-size","18px").css("left","0px");
                    
                    //$("#sync_btn").text('View').css('width','100px');
                    $("#sync_btn").show();
                    $('#sync_user').text(`${res.total_records}`);
                },
                error:function(error){
                    console.log("err:",error);
                }
            })


        })

        /**
         * check the login_status and if value returns it's get_user_info().
         */

        if(location.href == window.location.protocol+"//"+window.location.hostname+"/wp-admin/admin.php?page=gozen" && log_status == 1){
            get_user_info();
        }
        else if(location.href == window.location.protocol+"//"+window.location.hostname+"/wp-admin/admin.php?page=gozen&tab=general&success=1&user_id=1" || location.href == window.location.protocol+"//"+window.location.hostname+"/wp-admin/admin.php?page=gozen&tab=general"){
            get_user_info();
        }
    
    })
})(jQuery);