<?php
/**
 * If the login status is returns falue,this page will be active.
 */
function gozen_loginPage(){
    /**
     * get the user api_key on submit ,and validate the api_key. 
     */
    gozen_apikeyPost();

?>
<div id="container">
    <h1>GoZen <span id="title_content">Growth </span></h1>
    <div id="login_container" >
        <h2>GoZen Growth Integration</h2>
        <form method="POST" id="login_form" > 
            <label>API Access Keys</label>
            <div id="input">
                <input type="text" id="api-key" name="api-key" ><br>
                <input type="submit" id="submit" name="submit" value="Login">
            </div>
        </form>
        <p id="error"><p>
        <p style="text-indent:26.5%"><strong>Have an account?</strong> <a style="cursor:pointer;" href="https://app.gozen.io/register">Sign up</a></p>
        <p style="text-indent:26.5%">Get your GoZen Growth API key from <a style="cursor:pointer;" href="https://app.gozen.io/settings">here</a>.</p>
    </div>
</div>
<?php
}
function gozen_apikeyPost(){
    //if the user submit the api_key...
    if(isset($_POST["submit"])){
        /**
         * response message
         * @var string
         */
        $message = '';

        /**
         * response status 
         * @var int
         */
        $status = 0;

        /**
         * response data
         * @var array
         */
        $data = [];

        /**
         * redirect url
         * @var string
         */
        $url = GOZENGROWTH_SERVER_URL.'/api/v1/public/user-info';
        /**
         * response
         * @var array
         */
        $response = [
            'message' => $message,
            'status' => $status,
            'data' => $data
        ];

        //validate the api_key
        if(isset($_POST["api-key"]) && !empty($_POST["api-key"])){
            /**
             * get the api_key form post request
             * @var string
             */
            $api_key =sanitize_text_field($_POST["api-key"]);
            $body = [];
            
            $option = [
                'body' => $body,
                'headers' => [
                    'content-type' =>'application/json',
                    'api-key' => $api_key
                ],
                'data_format' => 'body'
            ];
            /**
             * if the api_key is not empty,redirect data and check api_key validate or not.
             */
            $response = wp_remote_get($url,$option);

            if (is_array($response) && is_wp_error($response)) {
                echo "<h1>Sorry We are not Verify APi Key, Please try again</h1>";
            }
            else{
                global $wpdb;
                $bodyData = json_decode($response['body'], true);

                /**
                 * store the api _key if the key is validate and check the wooocommerce approval status
                 * if the approval status returns false it's redirect to woocommerce approval page by woocommerceAuth
                 * */
                $check_query = saveApikey($api_key);
                $wc_app = $wpdb->get_row("SELECT * FROM {$wpdb->prefix}gozen_growth WHERE key_id=1");
                $wc_app = $wc_app->wc_auth_approve_status;

                    if($check_query === true && $wc_app == 0){
                        $authurl = woocommerceAuth();
                            wp_redirect( woocommerceAuth() );
                            exit;
                    }
                    else{
                        $wpdb->update($wpdb->prefix.'gozen_growth',array("Login_status" => 1),array("key_id" => 1));
                        $redir = GOZENGROWTH_USER_HOST_URL."wp-admin/admin.php?page=gozen&tab=general";
                        wp_redirect( $redir );
                        exit;
                    }
            }
        }
   };
}
?>