<?php

    /**
     * Add the gozen table in DB.
     */

    require_once(GOZENGROWTH_BAE_PATH.'API/api_secret.php');

    global $wpdb;

    $table_name = $wpdb->prefix.'gozen_growth';
    $query = $wpdb->prepare( 'SHOW TABLES LIKE %s', $wpdb->esc_like( $table_name ) );

    //check the table is already in DB.
    if ( $wpdb->get_var( $query ) === $table_name ) {
        return true;
    }
    else{

        $charset_collate = $wpdb->get_charset_collate();
        $sql = "CREATE TABLE $table_name(
            key_id INT(20) NOT NULL AUTO_INCREMENT,
            user_id CHAR(64)  NULL,
            -- username CHAR(64)  NULL,
            -- user_email CHAR(64)  NULL,
            consumer_key CHAR(64) NULL,
            consumer_secret CHAR(64) NULL,
            key_permission  CHAR(64) NULL,
            api_key CHAR(64) NOT NULL,
            shop_uuid CHAR(64) NULL,
            sync_user int(200) NOT NULL DEFAULT '0',
            wc_auth_approve_status INT(20) NOT NULL DEFAULT '0',
            Login_status INT(20) NOT NULL DEFAULT '0',
            PRIMARY KEY(key_id)  
        )$charset_collate;";


        if(!function_exists('dbDelta')) {
            require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
        }

        $wpdb->query( $sql );

        /**
         * insert the default value.
         */

        /**
         * Default api_key
         * @var string
         */
        $data = "bnf942hffb892f9be98bfh";
        /**
         * Default shop_uuid
         * @var string
         */
        $shop_uuid = "f4783-243vdf-32b2n-2bu4";

        $data_api = apiSecret($data,"e");

        $wpdb->insert($wpdb->prefix.'gozen_growth',array('api_key' => $data_api,'shop_uuid' => $shop_uuid));
    }




?>