<?php

/**
 * The automation bootstrap file
 */

// If this file is called directly, abort.
if (!defined('WPINC')) {
	die;
}

/**
 * Start at version 1.0.0 
 */

defined('GOZEN_SECRET') or define('GOZEN_SECRET', 'gozen_growth_secret');
defined('GOZEN_GROWTH_USER') or define('GOZEN_GROWTH_USER', 'gozen_growth_user');

/**
 * The core automation  class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path(__FILE__) . 'includes/class-gozen-growth-automation.php';

/**
 * Begins execution of the automation module.
 *
 * Since everything within the module is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */

function run_gozen_growth_automation()
{
	$plugin = new Gozen_Growth_Automation();
	$plugin->run();
}

run_gozen_growth_automation();