<?php

    /**
     * Get User_id form wp 
     * @var string
     */
    $cart_user_id=get_current_user_id();
    /**
     * set Login status
     * @var int
     */
    $status=0;

    /**
     * set Api_key
     * @var string
     */
    $api='';

    /**
     * set shop_uuid
     * @var string
     */
    $shop_uuid='';

    /**
     * set sync_user
     * @var int
     */
    $sync_user=0;

    /**
     * set default protocol value. 
     * @var string
     */
    $protocal = 'http';

    /**
     * 
     */

    define("GOZENGROWTH_FILE_NAME","gozen-growth/maingozen.php");

    /**
     * check the server protocol if https is status is 'on' update variable protocol value
     * http to https.
     */
    if(isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on'){
        $protocal = 'https';

    }

    /**
     * get Domain.
     * @var string
     */
    $domain = sanitize_text_field($_SERVER['HTTP_HOST']);
    /**
     * get Current Hosturl
     * @var string
     */
    $hosturl = $protocal . "://".$domain."/";


    /**
     * Get data form gozen_growth table
     * @var object 
     */
    $query = $wpdb->get_row("SELECT * FROM {$wpdb->prefix}gozen_growth WHERE key_id=1");

    /**
     * check the query variable empty or not
     */
    if(!empty($query)){
        $api = $query->api_key;
        $login = $query->Login_status;
        $shop_uuid = $query->shop_uuid;
        $sync_user = $query->sync_user;
        if($login!= 0){
            $status = 1;
        }
    }

    //check api_key is not empty
    if($api !== ''){
        //Define GOZEN_API_KEY
        define("GOZENGROWTH_API_KEY",$api);
        if($shop_uuid !== NULL){
            //Define SHOP_UUID
            define("GOZENGROWTH_SHOP_UUID",$shop_uuid);
        }
    }

    //Define GOZENGROWTH_CURRENT_USER_ID
    define("GOZENGROWTH_CURRENT_USER_ID",$cart_user_id);
    //Define GOZENGROWTH_LOGIN_STATUS
    define("GOZENGROWTH_LOGIN_STATUS",$status);
    //Define GOZENGROWTH_USER_HOST_URL
    define("GOZENGROWTH_USER_HOST_URL",$hosturl);
    //Define GOZENGROWTH_SYNC_USER
    define("GOZENGROWTH_SYNC_USER",$sync_user);


?>